%define _name swallow

Name: gnome-applets-extra-%_name
Version: 1.2
Release: alt1

Summary: GNOME Swallow Meta-Applet
License: GPL
Group: Graphical desktop/GNOME

Url: http://interreality.org/~tetron/technology/%_name

Source: %url/gnome-%_name-%version.tar.gz

%define glib_ver 2.2.3
%define gtk_ver 2.2.4
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define gnome_vfs_ver 2.4.0
%define glade_ver 2.0.1-alt2
%define panel_ver 2.4.0

Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: gnome-panel >= %panel_ver

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver

# Automatically added by buildreq on Mon Sep 15 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libglade2 libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg libpango-devel libpopt-devel libssl libxml2-devel pkgconfig zlib-devel

%description
This package provides meta-applet to swallow any X application into the
GNOME 2 panel. Especially useful for dock apps.

%prep
%setup -q -n gnome-%_name-%version

%build
%configure
%make_build

%install
%makeinstall

%files
%_libdir/bonobo/servers/*
%_libdir/gnome-panel/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2-alt1
- 1.2

* Thu Apr 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- First build for Sisyphus.
